Page MenuHomePhabricator

Add URL parameters to show/hide log scale and start Y-axis from zero
Closed, ResolvedPublic

Related Objects

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 19 2016, 4:06 PM
MusikAnimal closed this task as Resolved.Jul 21 2016, 1:10 AM

The option actually just disables "auto-log detection", so the option to show the log scale is there, it just won't be shown unless they explicitly choose to. This addresses the use case brought up on meta, and relieves having yet another parameter that isn't really used being pushed to the URL.

Commit at https://github.com/MusikAnimal/pageviews/commit/d6221bdb37a1168f2344f8ada75657fd7f345417

MusikAnimal moved this task from Backlog to Done on the Tool-Pageviews board.Sep 8 2016, 5:55 PM
jeremyb updated the task description. (Show Details)Oct 4 2017, 2:08 AM
jeremyb added a subscriber: jeremyb.Oct 4 2017, 2:10 AM

@MusikAnimal does this still work? I don't see any way to get the page to load with the "Logarithmic scale" box already checked. (with &autolog=false, &autolog=true or leaving parameter off)

@MusikAnimal does this still work? I don't see any way to get the page to load with the "Logarithmic scale" box already checked. (with &autolog=false, &autolog=true or leaving parameter off)

No, I guess that option essentially makes always show a non-logarithmic scale, and sounds like you want to force it to be on. Perhaps I could deprecate autolog and change it to log, where you can pass in 1 or 0 (or true/false).

Hehe yes, the old parameter will still work, it just won't be advertised. I've created T177369